Skip to main content
Version: Version 2.0

Get groups

This endpoint enables you to get groups of your organization. You can use this endpoint to get all groups, you can also get a specific group by providing the group ID. The response will include the group ID, name, and creation date.

How to use​

You can use the following cURL to obtain a response from this endpoint:

curl --location --request GET https://api.superviz.com/groups \
--header "client_id: ${YOUR CLIENT_ID}" \
--header "secret: ${YOUR SECRET}"

HTTP Request​

GET https://api.superviz.com/groups

Headers​

When using this endpoint, you need to provide the Client ID and Secret Key. The following headers are required:

NameDescription
client_idRequired. You need to use the Client ID to authenticate in this repository. You can retrieve your Client ID under the Dashboard > Developer > Keys.
secretRequired. You need to use the Secret Key to authenticate in this repository. You can create a new API Secret under our Dashboard > Developer > Keys.

Response​

Status code 200 will indicate that the request was successful. The response will be in JSON format, following the pagination guide for SuperViz REST API, and include the following fields:

NameTypeDescription
idstringThe group ID.
namestringThe group name.
createdAtstringThe group creation date.

If you want to get a list of participants in the group, you can use the get participants from a specific group endpoint.

Example:

[
{
"id": "example-id",
"name": "Red Team",
"createdAt": "2021-05-30T21:23:00.000Z"
}
]